/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workmeeting.entity;

import com.jeeplus.modules.sys.entity.User;

import com.jeeplus.common.persistence.DataEntity;
import com.jeeplus.common.utils.excel.annotation.ExcelField;

/**
 * 会议用户信息Entity
 * @author 杨帆
 * @version 2018-03-05
 */
public class Workmeetinguser extends DataEntity<Workmeetinguser> {
	
	private static final long serialVersionUID = 1L;
	private String type;		// 用户类型 （1：发起者；2：加入者）
	private User user;		// 用户id
	private String meetingId;		// 会议id
	private String status;		// 用户状态（1：开会中；2：拒绝；3：退出；4;结束）
	
	public Workmeetinguser() {
		super();
	}

	public Workmeetinguser(String id){
		super(id);
	}

	@ExcelField(title="用户类型 （0：发起者；1：加入者）", align=2, sort=7)
	public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}
	
	@ExcelField(title="用户id", align=2, sort=8)
	public User getUser() {
		return user;
	}

	public void setUser(User user) {
		this.user = user;
	}

	@ExcelField(title="会议id", align=2, sort=9)
	public String getMeetingId() {
		return meetingId;
	}

	public void setMeetingId(String meetingId) {
		this.meetingId = meetingId;
	}

	@ExcelField(title="用户状态（1：开会中；2：拒绝；3：退出；4;结束）", align=2, sort=10)
	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}
	
}